com.icesoft.faces.context.effects

## Class DragDrop

- java.lang.Object
- - com.icesoft.faces.context.effects.DragDrop

-     public class DragDrop
      extends java.lang.Object

  Make HTML Elements draggable or droppable Makes the element drop (Move Down) and fade out at the same time.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DragDrop()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `addDragable(java.lang.String id, java.lang.String handleId, boolean revert, boolean ghosting, boolean solid, boolean dragGhost, boolean pointerDraw, java.lang.String mask, javax.faces.context.FacesContext facesContext)` make an HTML element draggable
    `static java.lang.String` | `addDragable(java.lang.String id, java.lang.String handleId, java.lang.String options, java.lang.String mask, javax.faces.context.FacesContext facesContext)` Make an HTML element draggable
    `static java.lang.String` | `addDragable(javax.faces.component.UIComponent uiComponent, java.lang.String id, java.lang.String handleId, boolean revert, boolean ghosting, boolean solid, boolean dragGhost, boolean pointerDraw, java.lang.String mask, javax.faces.context.FacesContext facesContext)` make an HTML element draggable with autoscrolling
    `static java.lang.String` | `addDragable(javax.faces.component.UIComponent uiComponent, java.lang.String id, java.lang.String handleId, java.lang.String options, java.lang.String mask, javax.faces.context.FacesContext facesContext)` Make an HTML element draggable with autoscrolling
    `static java.lang.String` | `addDroptarget(javax.faces.component.UIComponent uiComponent, java.lang.String acceptClass, javax.faces.context.FacesContext facesContext, java.lang.String mask, java.lang.String hoverClass)` Make an HTML element droppable

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DragDrop

          public DragDrop()

  - ### Method Detail

    - #### addDragable

          public static java.lang.String addDragable(java.lang.String id,
                                                     java.lang.String handleId,
                                                     java.lang.String options,
                                                     java.lang.String mask,
                                                     javax.faces.context.FacesContext facesContext)

      Make an HTML element draggable
      Parameters:
        `id` -
        `handleId` -
        `options` -
        `mask` -
        `facesContext` -
      Returns:

    - #### addDragable

          public static java.lang.String addDragable(java.lang.String id,
                                                     java.lang.String handleId,
                                                     boolean revert,
                                                     boolean ghosting,
                                                     boolean solid,
                                                     boolean dragGhost,
                                                     boolean pointerDraw,
                                                     java.lang.String mask,
                                                     javax.faces.context.FacesContext facesContext)

      make an HTML element draggable
      Parameters:
        `id` -
        `handleId` -
        `revert` -
        `ghosting` -
        `solid` -
        `dragGhost` -
        `pointerDraw` -
        `mask` -
        `facesContext` -
      Returns:

    - #### addDragable

          public static java.lang.String addDragable(javax.faces.component.UIComponent uiComponent,
                                                     java.lang.String id,
                                                     java.lang.String handleId,
                                                     java.lang.String options,
                                                     java.lang.String mask,
                                                     javax.faces.context.FacesContext facesContext)

      Make an HTML element draggable with autoscrolling
      Parameters:
        `id` -
        `handleId` -
        `options` -
        `mask` -
        `facesContext` -
      Returns:

    - #### addDragable

          public static java.lang.String addDragable(javax.faces.component.UIComponent uiComponent,
                                                     java.lang.String id,
                                                     java.lang.String handleId,
                                                     boolean revert,
                                                     boolean ghosting,
                                                     boolean solid,
                                                     boolean dragGhost,
                                                     boolean pointerDraw,
                                                     java.lang.String mask,
                                                     javax.faces.context.FacesContext facesContext)

      make an HTML element draggable with autoscrolling
      Parameters:
        `id` -
        `handleId` -
        `revert` -
        `ghosting` -
        `solid` -
        `dragGhost` -
        `pointerDraw` -
        `mask` -
        `facesContext` -
      Returns:

    - #### addDroptarget

          public static java.lang.String addDroptarget(javax.faces.component.UIComponent uiComponent,
                                                       java.lang.String acceptClass,
                                                       javax.faces.context.FacesContext facesContext,
                                                       java.lang.String mask,
                                                       java.lang.String hoverClass)

      Make an HTML element droppable
      Parameters:
        `uiComponent` -
        `acceptClass` -
        `facesContext` -
        `mask` -
        `hoverClass` -
      Returns:

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.